> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://reference.flatfile.com/api-reference/guests/create/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://reference.flatfile.com/_mcp/server. # Create a guest POST https://api.x.flatfile.com/v1/guests Content-Type: application/json Guests are only there to upload, edit, and download files and perform their tasks in a specific Space. Reference: https://reference.flatfile.com/api-reference/guests/create ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Body (application/json) This endpoint expects a list of GuestConfig. - `list of GuestConfig` ## Response ### 200 - `data` (list of Guest, required) ## Types ### GuestConfig Configurations for the guests - `environmentId` (string, required) — Environment ID - `email` (string, required) - `name` (string, required) - `spaces` (list of GuestSpace, required) ### Guest - `createdAt` (datetime, required) — Date the guest object was created - `email` (string, required) - `environmentId` (string, required) — Environment ID - `id` (string, required) — Guest ID - `name` (string, required) - `spaces` (list of GuestSpace, required) - `updatedAt` (datetime, required) — Date the guest object was last updated ### GuestSpace - `id` (string, required) — Space ID - `workbooks` (list of GuestWorkbook, optional) - `sheets` (list of GuestSheet, optional) - `lastAccessed` (datetime, optional) ### GuestWorkbook - `id` (string, required) — Workbook ID ### GuestSheet - `id` (string, required) — Sheet ID ## Examples **Request** ```json [ { "environmentId": "us_env_YOUR_ID", "email": "email@example.com", "name": "Your Name", "spaces": [ { "id": "us_sp_YOUR_ID", "workbooks": [ { "id": "us_wb_YOUR_ID" } ], "sheets": [ { "id": "us_sh_YOUR_ID" } ], "lastAccessed": "2023-10-30T16:59:45.735Z" } ] } ] ``` **Response** ```json { "data": [ { "createdAt": "2023-10-30T16:59:45.735Z", "email": "email@example.com", "environmentId": "us_env_YOUR_ID", "id": "us_g_YOUR_ID", "name": "Your Name", "spaces": [ { "id": "us_sp_YOUR_ID", "workbooks": [ { "id": "us_wb_YOUR_ID" } ], "sheets": [ { "id": "us_sh_YOUR_ID" } ], "lastAccessed": "2023-10-30T16:59:45.735Z" } ], "updatedAt": "2023-10-30T16:59:45.735Z" } ] } ``` **SDK Code** ```python Example0 import requests url = "https://api.x.flatfile.com/v1/guests" payload = [ { "environmentId": "us_env_YOUR_ID", "email": "email@example.com", "name": "Your Name", "spaces": [ { "id": "us_sp_YOUR_ID", "workbooks": [{ "id": "us_wb_YOUR_ID" }], "sheets": [{ "id": "us_sh_YOUR_ID" }], "lastAccessed": "2023-10-30T16:59:45.735Z" } ] } ] headers = { "X-Disable-Hooks": "true", "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```typescript Example0 import { FlatfileClient } from "@flatfile/api"; const client = new FlatfileClient({ token: "YOUR_TOKEN" }); await client.guests.create([{ environmentId: "us_env_YOUR_ID", email: "email@example.com", name: "Your Name", spaces: [{ id: "us_sp_YOUR_ID", workbooks: [{ id: "us_wb_YOUR_ID" }], sheets: [{ id: "us_sh_YOUR_ID" }], lastAccessed: "2023-10-30T16:59:45.735Z" }] }]); ``` ```go Example0 package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.x.flatfile.com/v1/guests" payload := strings.NewReader("[\n {\n \"environmentId\": \"us_env_YOUR_ID\",\n \"email\": \"email@example.com\",\n \"name\": \"Your Name\",\n \"spaces\": [\n {\n \"id\": \"us_sp_YOUR_ID\",\n \"workbooks\": [\n {\n \"id\": \"us_wb_YOUR_ID\"\n }\n ],\n \"sheets\": [\n {\n \"id\": \"us_sh_YOUR_ID\"\n }\n ],\n \"lastAccessed\": \"2023-10-30T16:59:45.735Z\"\n }\n ]\n }\n]") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("X-Disable-Hooks", "true") req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example0 require 'uri' require 'net/http' url = URI("https://api.x.flatfile.com/v1/guests") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["X-Disable-Hooks"] = 'true' request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "[\n {\n \"environmentId\": \"us_env_YOUR_ID\",\n \"email\": \"email@example.com\",\n \"name\": \"Your Name\",\n \"spaces\": [\n {\n \"id\": \"us_sp_YOUR_ID\",\n \"workbooks\": [\n {\n \"id\": \"us_wb_YOUR_ID\"\n }\n ],\n \"sheets\": [\n {\n \"id\": \"us_sh_YOUR_ID\"\n }\n ],\n \"lastAccessed\": \"2023-10-30T16:59:45.735Z\"\n }\n ]\n }\n]" response = http.request(request) puts response.read_body ``` ```java Example0 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.x.flatfile.com/v1/guests") .header("X-Disable-Hooks", "true") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("[\n {\n \"environmentId\": \"us_env_YOUR_ID\",\n \"email\": \"email@example.com\",\n \"name\": \"Your Name\",\n \"spaces\": [\n {\n \"id\": \"us_sp_YOUR_ID\",\n \"workbooks\": [\n {\n \"id\": \"us_wb_YOUR_ID\"\n }\n ],\n \"sheets\": [\n {\n \"id\": \"us_sh_YOUR_ID\"\n }\n ],\n \"lastAccessed\": \"2023-10-30T16:59:45.735Z\"\n }\n ]\n }\n]") .asString(); ``` ```php Example0 request('POST', 'https://api.x.flatfile.com/v1/guests', [ 'body' => '[ { "environmentId": "us_env_YOUR_ID", "email": "email@example.com", "name": "Your Name", "spaces": [ { "id": "us_sp_YOUR_ID", "workbooks": [ { "id": "us_wb_YOUR_ID" } ], "sheets": [ { "id": "us_sh_YOUR_ID" } ], "lastAccessed": "2023-10-30T16:59:45.735Z" } ] } ]', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', 'X-Disable-Hooks' => 'true', ], ]); echo $response->getBody(); ``` ```csharp Example0 using RestSharp; var client = new RestClient("https://api.x.flatfile.com/v1/guests"); var request = new RestRequest(Method.POST); request.AddHeader("X-Disable-Hooks", "true"); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "[\n {\n \"environmentId\": \"us_env_YOUR_ID\",\n \"email\": \"email@example.com\",\n \"name\": \"Your Name\",\n \"spaces\": [\n {\n \"id\": \"us_sp_YOUR_ID\",\n \"workbooks\": [\n {\n \"id\": \"us_wb_YOUR_ID\"\n }\n ],\n \"sheets\": [\n {\n \"id\": \"us_sh_YOUR_ID\"\n }\n ],\n \"lastAccessed\": \"2023-10-30T16:59:45.735Z\"\n }\n ]\n }\n]", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Example0 import Foundation let headers = [ "X-Disable-Hooks": "true", "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ [ "environmentId": "us_env_YOUR_ID", "email": "email@example.com", "name": "Your Name", "spaces": [ [ "id": "us_sp_YOUR_ID", "workbooks": [["id": "us_wb_YOUR_ID"]], "sheets": [["id": "us_sh_YOUR_ID"]], "lastAccessed": "2023-10-30T16:59:45.735Z" ] ] ] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.x.flatfile.com/v1/guests")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```